curl --location --request PUT 'https://api.flashcat.cloud/api/n9e/datasource/status/update' \
--header 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJhY2Nlc3NfdXVpZCI6IjM2ZTRjZjI3LWI4OWYtNDFlZS04ZDhmLWZiMjdhMmZlZGIzOSIsImF1dGhvcml6ZWQiOnRydWUsImV4cCI6MTc3NTExMTEyMywidXNlcl9pZGVudGl0eSI6IjEtcm9vdCJ9.IwPWDg92AjjvuUTGplaXgpexmOSsONx73M7Y7pOI_vE' \
--header 'X-User-Token: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
"id": 3,
"status": "enabled"
}'{
"error": "string",
"data": {
"id": "string",
"status": "string",
"created_at": "string",
"created_by": "string",
"updated_at": "string",
"updated_by": "string",
"name": "string",
"http": {
"url": "string",
"timeout": 0,
"tls": {
"skip_tls_verify": true
},
"headers": {},
"urls": [
"string"
]
},
"auth": {
"basic_auth_user": "string",
"basic_auth_password": "string"
},
"settings": {
"write_addr": "string",
"internal_addr": "string",
"prometheus.tsdb_type": "string",
"enable_write": "string",
"max_shard": "string",
"min_interval": "string",
"version": "string"
},
"cluster_name": "string",
"description": "string",
"plugin_type": "string",
"is_enable": true,
"is_test": true
}
}